#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Scripts/software.fish"

    function installSW
        yayinst \
            pipewire-jack \
            plasma-meta (
                # As per: https://wiki.archlinux.org/title/KDE#Discover_does_not_show_any_applications
            ) packagekit-qt6 \
            tesseract-data-deu \
            tesseract-data-eng \
            kde-applications-meta (
                # Automatic rotation: https://wiki.archlinux.org/title/Tablet_PC#With_a_KDE_module
            ) iio-sensor-proxy \
            pipewire-audio \
            pipewire-pulse (
                # File Exchange Support for KDE Connect: https://wiki.archlinux.org/title/KDE#KDE_Connect
            ) sshfs \
            fwupd

        configureSW
    end

    function configureSW
        sudo systemctl enable --now bluetooth
    end

    runInstaller $argv
end
