#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Scripts/software.fish"

    function configureSW
        set -l bin
        set -l extensionRoot
        set -l bins brave brave-beta brave-nightly

        set -l \
            extensionRoots \
            /opt/brave-bin/extensions \
            /opt/brave.com/brave-{beta,nightly}/extensions

        for i in (seq (count $bins))
            if type -q "$bins[$i]"
                set bin "$bins[$i]"
                set extensionRoot "$extensionRoots[$i]"
            end
        end

        BROWSER_BIN="$bin" \
        EXTENSION_POLICY_DIR="$braveExtensions" \
            bash "$dir/../Chromium/ytmdl.sh"
    end

    runInstaller $argv
end
