#!/bin/pwsh
powershell -c 'New-Item -Force $PROFILE';
choco install -y --force chocolatey;
Copy-Item -Force (powershell -c '$PROFILE') $PROFILE;

Push-Location ~;

$files = @((powershell -c '$PROFILE'), $PROFILE) | ForEach-Object { Resolve-Path -Relative $_ };

foreach ($profileFile in $files) {
    $fullName = "C:/Users/Default/$profileFile";
    $dirName = Split-Path -Parent $fullName;

    if (-not (Test-Path -PathType Container $dirName)) {
        $null = New-Item -Force -ItemType Directory $dirName;
    }

    Copy-Item -Force "~/$profileFile" $fullName;
}

Pop-Location;

Import-Module "$env:ChocolateyInstall\helpers\chocolateyProfile.psm1";
